Subject: [ippm] Updated draft-ietf-ippm-checksum-trailer-01

From: Tal Mizrahi <[email-masked]>
Date: Mon, 9 Mar 2015 08:59:50 +0000

Hi,

The draft was updated based on the comments received in WGLC.
Please let me know if there are any comments.

Cheers,
Tal.

A new version of I-D, draft-ietf-ippm-checksum-trailer-01.txt
has been successfully submitted by Tal Mizrahi and posted to the IETF repository.

Name:		draft-ietf-ippm-checksum-trailer
Revision:	01
Title:		UDP Checksum Complement in OWAMP and TWAMP
Document date:	2015-03-09
Group:		ippm
Pages:		12
URL:            http://www.ietf.org/internet-drafts/draft-ietf-ippm-checksum-trailer-01.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-ippm-checksum-trailer/
Htmlized:       http://tools.ietf.org/html/draft-ietf-ippm-checksum-trailer-01
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-ippm-checksum-trailer-01

Abstract:
   The One-Way Active Measurement Protocol (OWAMP) and the Two-Way
   Active Measurement Protocol (TWAMP) are used for performance
   monitoring in IP networks. Delay measurement is performed in these
   protocols by using timestamped test packets. Some implementations use
   hardware-based timestamping engines that integrate the accurate
   transmission timestamp into every outgoing OWAMP/TWAMP test packet
   during transmission.  Since these packets are transported over UDP,
   the UDP checksum field is then updated to reflect this modification.
   This document proposes to use the last 2 octets of every test packet
   as a Checksum Complement, allowing timestamping engines to reflect
   the checksum modification in the last 2 octets rather than in the UDP
   checksum field. The behavior defined in this document is completely
   interoperable with existing OWAMP/TWAMP implementations.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Brian Trammell <[email-masked]>
Date: Mon, 9 Mar 2015 11:05:24 +0100

hi Tal, all,

Thanks. The changes do not appear to me to require another WGLC, though if anyone would like more time, please let the list and/or the chairs know today. Otherwise, I'll start the writeup and send this up to the IESG.

Cheers,

Brian (as chair and document shepherd)

> On 09 Mar 2015, at 09:59, Tal Mizrahi <[email-masked]> wrote:
> 
> Hi,
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 9 Mar 2015 08:31:46 -0400

Hi Tal,

Over the weekend, it occurred to me that there is potential
for interaction between your draft and the 
Reflect Octets/Symmetrical Size features in:

https://tools.ietf.org/html/rfc6038

This is probably worth noting, if you agree.

regards,
Al

________________________________________
From: ippm [[email-masked]] On Behalf Of Tal Mizrahi [[email-masked]]
Sent: Monday, March 09, 2015 4:59 AM
To: [email-masked]
Subject: [ippm] Updated draft-ietf-ippm-checksum-trailer-01

Hi,

Cheers,
Tal.

---

From: Tal Mizrahi <[email-masked]>
Date: Mon, 9 Mar 2015 21:03:20 +0000

Hi Al,

The current draft already includes some discussion about the possible interaction with RFC 6038 (see Section 3.2, page 8).
Please let me know if this is satisfactory.

Thanks,
Tal.

-----Original Message-----
From: MORTON, ALFRED C (AL) [mailto:[email-masked]] 
Sent: Monday, March 09, 2015 2:32 PM
To: Tal Mizrahi; [email-masked]
Subject: RE: Updated draft-ietf-ippm-checksum-trailer-01

Hi Tal,

Over the weekend, it occurred to me that there is potential for interaction between your draft and the Reflect Octets/Symmetrical Size features in:

regards,
Al

Hi,

Cheers,
Tal.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 9 Mar 2015 18:37:55 -0400

You're right, I didn't remember that section from the review,
but after 6038 came to my attention this weekend, it was worth
checking!  Thanks,
Al

________________________________________
From: Tal Mizrahi [[email-masked]]
Sent: Monday, March 09, 2015 5:03 PM
To: MORTON, ALFRED C (AL); [email-masked]
Subject: RE: Updated draft-ietf-ippm-checksum-trailer-01

Hi Al,

Thanks,
Tal.

-----Original Message-----
From: MORTON, ALFRED C (AL) [mailto:[email-masked]]
Sent: Monday, March 09, 2015 2:32 PM
To: Tal Mizrahi; [email-masked]
Subject: RE: Updated draft-ietf-ippm-checksum-trailer-01

Hi Tal,

regards,
Al

Hi,

Cheers,
Tal.